---
lang: en
title: 'API docs: context-explorer.rendergraph'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/context-explorer
permalink: /doc/en/lb4/apidocs.context-explorer.rendergraph.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context-explorer](./context-explorer.md) &gt; [renderGraph](./context-explorer.rendergraph.md)

## renderGraph() function

Render a graphviz dot string

<b>Signature:</b>

```typescript
export declare function renderGraph(graph: string, options?: {
    engine?: string;
    format?: string;
}): Promise<string>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  graph | string | A graph in dot format |
|  options | { engine?: string; format?: string; } | Options for the rendering |

<b>Returns:</b>

Promise&lt;string&gt;


